%define snapshot 20041004
Summary: Emacs package for editing XML
Name: emacs-nxml-mode
Version: 0.%{snapshot}
Release: 8%{?dist}
License: GPLv2+
Group: Applications/Editors
URL: http://www.thaiopensource.com/nxml-mode/
Source0: http://www.thaiopensource.com/download/nxml-mode-%{snapshot}.tar.gz
Source1: http://docbook.sourceforge.net/release/slides/3.4.0/schema/relaxng/slides.rnc
# from http://tech.groups.yahoo.com/group/emacs-nxml-mode/message/1178
Patch1:   xsd-regexp.el.2006-01-26.patch
# from http://tech.groups.yahoo.com/group/emacs-nxml-mode/message/1133
Patch2:   nxml-mode.el.2006-01-03.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires(post): info
Requires(postun): info
Requires: emacs-common

BuildRequires: emacs

%description
The nXML package provides a validating major mode for
editing XML documents in GNU Emacs.  It can validate
against a RELAX NG schema while you type.

%prep
%setup -q -n nxml-mode-%{snapshot}
%patch1 -p0 -b .drkm
%patch2 -p1 -b .jon-hurst
cp -a %SOURCE1 schema

%build
make

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/nxml-mode
mkdir -p $DESTDIR $DESTDIR/../site-start.d
cp -a rng-auto.el *.elc schema char-name $DESTDIR
cat <<"EOF" > $DESTDIR/../site-start.d/nxml-init.el
;;; nXML
(load "%{_datadir}/emacs/site-lisp/nxml-mode/rng-auto.el")
(add-to-list 'auto-mode-alist
             '("\\.\\(xml\\|xsl\\|rng\\|xhtml\\)\\'" . nxml-mode))
(if (boundp 'magic-mode-alist)
    (add-to-list 'magic-mode-alist '("<\\?xml " . nxml-mode)))
(setq nxml-slash-auto-complete-flag t)
EOF
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
cp -a *.info $RPM_BUILD_ROOT/%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README TODO VERSION
%{_datadir}/emacs/site-lisp/nxml-mode
%{_datadir}/emacs/site-lisp/site-start.d/*
%{_infodir}/*

%post
install-info --info-dir=%{_infodir} %{_infodir}/nxml-mode.info
exit 0

%postun
if [ "$1" = 0 ] ; then
  install-info --info-dir=%{_infodir} --delete %{_infodir}/nxml-mode.info
fi
exit 0

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20041004-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.20041004-7
- fix license tag

* Thu Jul  5 2007 Tim Waugh <twaugh@redhat.com - 0.20041004-6
- Include patches from Yahoo! Groups list (bug #247020).  Thanks to Matej
  Cepl <mcepl@redhat.com>.

* Wed Feb 14 2007 Tim Waugh <twaugh@redhat.com>  0.20041004.1-5
- First build.

* Tue Feb 13 2007 Tim Waugh <twaugh@redhat.com>  0.20041004.1-4
- Add an entry to magic-mode-alist (bug #223023).

* Thu Feb  8 2007 Tim Waugh <twaugh@redhat.com> 
- Moved dist tag to the right place (bug #223023).
- Require emacs-common not emacs (bug #223023).

* Wed Feb  7 2007 Tim Waugh <twaugh@redhat.com> 
- Fixed package rename problems (bug #223023).
- Fixed requires tags (bug #223023).
- Require emacs (bug #223023).
- Better url tag (bug #223023).

* Mon Jan 22 2007 Tim Waugh <twaugh@redhat.com> 
- Renamed package to emacs-nxml-mode (bug #223023).

* Mon Nov 15 2004 Tim Waugh <twaugh@redhat.com> 
- New snapshot (20041004).

* Mon Jul 26 2004 Tim Waugh <twaugh@redhat.com> 
- New snapshot.

* Thu Apr 15 2004 J. J. Ramsey <jjramsey@pobox.com> 
- Added the missing char-name/unicode/*.el files

* Thu Oct 23 2003 Tim Waugh <twaugh@redhat.com> 
- Initial build.
